# -*- coding: utf-8 -*-

# Copyright (c) 2003 - 2006 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a dialog to enter the data for a new property.
"""

from PyQt4.QtCore import *
from PyQt4.QtGui import *

from KdeQt import KQFileDialog

from Ui_SvnPropDelDialog import Ui_SvnPropDelDialog

class SvnPropDelDialog(QDialog, Ui_SvnPropDelDialog):
    """
    Module implementing a dialog to enter the data for a new property.
    """
    def __init__(self, recursive, parent = None):
        """
        Constructor
        
        @param recursive flag indicating a recursive set is requested
        @param parent parent widget (QWidget)
        """
        QDialog.__init__(self, parent)
        self.setupUi(self)
        
        self.recurseCheckBox.setChecked(recursive)
        
    def getData(self):
        """
        Public slot used to retrieve the data entered into the dialog.
        
        @return tuple of two values giving the property name and a flag 
            indicating, that this property should be applied recursively.
            (string, boolean)
        """
        return (unicode(self.propNameEdit.text()), 
                self.recurseCheckBox.isChecked())
